General Date & Time pickers Event Calendar Form components Gesture enabled responsive list Numeric pickers Pickers & dropdowns Page layout & navigation Tools Accessibility

Updating to the latest Mobiscroll version

While we don't have an exact release schedule, you can see in our release history that new Mobiscroll versions are relatively frequent. In this regard it is a good idea to keep your mobiscroll version up to date.

In this guide you will learn how to update an already installed package in your project to the latest version. If you are looking for how to install Mobiscroll for the first time, you can check the getting started guide, if you want to upgrade from trial to a commercial package you can check out our upgrade guide.

In order to have access to the latest version, you need to have an active maintenance. Maintenance explained...

There are multiple options on how to update to the latest version, depending on how you installed Mobiscroll in your project in the first place and what kind of license you have:

  1. Updating from our NPM repository
  2. Updating with the Mobiscroll CLI
  3. Updating with the Mobiscroll CLI using a downloaded package
  4. Updating the package manually

1. Updating from our NPM repository

Prerequisites

Update Steps

Running the following command in your project root folder will update your package to the latest:

$ npm update @mobiscroll/jquery

2. Updating with the Mobiscroll CLI

Prerequisites

Update Steps

Running the following command in your project root folder will update your package to the latest:

$ mobiscroll config jquery

3. Updating with the Mobiscroll CLI using a downloaded package

Prerequisites

This option can be used if you don't have access to the full framework (you don't have a Framework or Complete license), or if you customized the package in your project to only contain a number of components that you need.

Step 1. Download a new package

The first step is to download a new package from the download page. There is a version dropdown at the top right corner of the screen. You can check there that you selected the latest version. After selecting the components, themes, languages and icon packs you need, hit the download button.

Note: Make sure you select all the components and themes you used in your project, otherwise they will not work after the update.

Hint: You can save / bookmark the download page URL to keep track the download configuration you used.

Step 2. Copy the resources to your project

After unzipping the downloaded package, copy the lib folder to your project's src folder.

Step 3. Run the config command

Running the following command will update the package in your project:

$ mobiscroll config jquery --no-npm

3. Updating your package manually

Prerequisites

This option is suitable if you have a project with no dedicated build process, or where the source files are referenced on the web pages directly via <script> and <link /> elements.

Step 1. Download a new package

The first step is to download a new package from the download page. There is a version dropdown at the top right corner of the screen. You can check there that you selected the latest version. After selecting the components, themes, languages and icon packs you need, hit the download button.

Note: Make sure you select all the components and themes you used in your project, otherwise they will not work after the update.

Hint: You can save / bookmark the download page URL to keep track the download configuration you used.

Step 2. Copy the resources to your project

After unzipping the donwloaded file, grab the js and css folders and replace with them the ones in you had in your project.

Additionally you can check whether the paths are stil pointing to the right files in your pages <script src="..."> and <link href="..." /> element attributes.